#-*-coding:utf-8-*-
"""
    Erreur de l'installeur Envole
"""
class NotInstalled(Exception):
    """Erreur soulevé lorsqu'un paquet n'est pas encore installé"""
    pass
class NotCreoleActive(Exception):
    """
        Erreur lorsqu'une application a déjà été installée et
        est désactivée dans Creole
    """
    pass
class NoLogFileInMemory(Exception):
    """
        Erreur levée lorsque l'on demande les logs d'un objet
        package sans que le nom de fichier soit en mémoire
    """
    pass

class NoLogFile(Exception):
    """
        Erreur levée lorsque le fichier de log n'existe pas
    """
    pass

class DisabledApp(Exception):
    """
        Erreur levée lorsque l'on tente d'installer/mettre à jour une
        application désactivé depuis un fichier plat
    """
    pass

class DpkgError(Exception):
    """
        Erreur Dpkg (Status, Version)
    """
    pass
